Page MenuHomePhabricator

Schema change for rc_namespace_title_timestamp index
Closed, ResolvedPublic

Description

After T190444: Add index on rc_namespace, rc_title, rc_timestamp on recentchanges table It would be great to apply this change

From the checklist at https://wikitech.wikimedia.org/wiki/Schema_changes:

  1. ALTERs to run: https://gerrit.wikimedia.org/g/mediawiki/core/+/18c78a27db/maintenance/archives/patch-recentchanges-nttindex.sql
  2. Where to run those changes: all.dblist
  3. When to run those changes: ?
  4. If the schema change is backwards compatible: Yes.
  5. If the schema change has been tested already on some of the test/beta wikis: Tested somewhere, not specified if that includes test/beta wikis.
  6. if the data should be made available on the labs replicas and/or dumps: N/A, there is no new data in this change

Schema change progress:

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2018-05-16T13:54:21Z] <marostegui> Deploy schema change on db1098:3317 - T191519 T188299 T190148

Mentioned in SAL (#wikimedia-operations) [2018-05-17T05:09:39Z] <marostegui> Deploy schema change on s4 primary master (db1068) - T191519 T188299 T190148

Change 433518 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/433518

Change 433518 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/433518

Mentioned in SAL (#wikimedia-operations) [2018-05-17T05:31:34Z] <marostegui> Deploy schema change on db1079 with replication (this will generate lag on labs s7) - T191519 T188299 T190148

Change 433534 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1090:3317

https://gerrit.wikimedia.org/r/433534

Change 433534 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1090:3317

https://gerrit.wikimedia.org/r/433534

Mentioned in SAL (#wikimedia-operations) [2018-05-17T07:22:28Z] <marostegui> Deploy schema change on db1090:3317 - T191519 T188299 T190148

Mentioned in SAL (#wikimedia-operations) [2018-05-17T12:50:30Z] <marostegui> Deploy schema change on s3 codfw primary master (db2043) this will generate lag on codfw - T191519 T188299 T190148

Marostegui updated the task description. (Show Details)May 17 2018, 2:27 PM
Marostegui updated the task description. (Show Details)EditedMay 18 2018, 5:28 AM

s3 eqiad progress

  • labsdb1009
  • labsdb1010
  • labsdb1011
  • dbstore1002
  • db1095
  • db1116
  • db1077
  • db1078
  • db1123
  • db1075
Marostegui updated the task description. (Show Details)May 18 2018, 5:31 AM

Mentioned in SAL (#wikimedia-operations) [2018-05-18T05:33:25Z] <marostegui> Deploy schema change on dbstore1002:s3 - T191519 T188299 T190148

Mentioned in SAL (#wikimedia-operations) [2018-05-21T05:09:39Z] <marostegui> Deploy schema change on s7 primary master (db1062) - T191519 T188299 T1901482

Change 434298 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/434298

Change 434298 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/434298

Mentioned in SAL (#wikimedia-operations) [2018-05-21T05:40:56Z] <marostegui> Deploy schema change on db1123 - T191519 T188299 T1901482

Marostegui updated the task description. (Show Details)May 21 2018, 7:47 AM

Change 434302 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/434302

Change 434302 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/434302

Mentioned in SAL (#wikimedia-operations) [2018-05-21T08:02:38Z] <marostegui> Deploy schema change on db1077 with replication, this will generate lags on labs - T191519 T188299 T1901482

Change 434434 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/434434

Change 434434 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/434434

Mentioned in SAL (#wikimedia-operations) [2018-05-22T05:10:33Z] <marostegui> Deploy schema change on db1078 - T191519 T188299 T1901482

Mentioned in SAL (#wikimedia-operations) [2018-05-22T07:21:26Z] <marostegui> Deploy schema change on s8 codfw master (db2045) with replication, this will generate lags on codfw - T191519 T188299 T190148

Marostegui updated the task description. (Show Details)May 22 2018, 8:30 AM
Marostegui added a comment.EditedMay 22 2018, 12:17 PM

s8 eqiad progress:

  • dbstore1002
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • db1095
  • db1109
  • db1104
  • db1116
  • db1101
  • db1099
  • db1092
  • db1087
  • db1071

Mentioned in SAL (#wikimedia-operations) [2018-05-23T05:06:26Z] <marostegui> Deploy schema change on s3 primary master (db1075) - T191519 T188299 T190148

Mentioned in SAL (#wikimedia-operations) [2018-05-23T05:21:48Z] <marostegui> Deploy schema change on dbstore1002:s8 - T191519 T188299 T190148 T194273 T194270

Change 434624 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/434624

Change 434624 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/434624

Mentioned in SAL (#wikimedia-operations) [2018-05-23T05:43:48Z] <marostegui> Deploy schema change on db1092 - T191519 T188299 T190148 T194273 T194270

Change 434631 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/434631

Change 434631 abandoned by Marostegui:
db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/434631

Marostegui updated the task description. (Show Details)May 23 2018, 7:17 AM
Marostegui updated the task description. (Show Details)May 23 2018, 8:11 AM

Change 434640 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/434640

Change 434640 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/434640

Mentioned in SAL (#wikimedia-operations) [2018-05-23T08:21:11Z] <marostegui> Deploy schema change on db1099:3318 - T191519 T188299 T190148 T194270

Change 434648 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/434648

Change 434648 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/434648

Mentioned in SAL (#wikimedia-operations) [2018-05-23T09:30:36Z] <marostegui> Deploy schema change on db1101:3318 - T191519 T188299 T190148 T194270

Change 434868 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/434868

Change 434868 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/434868

Mentioned in SAL (#wikimedia-operations) [2018-05-24T06:17:40Z] <marostegui> Deploy schema change on db1087, this will generate lag on labs on s8 - T191519 T188299 T190148 T194270

Change 434872 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/434872

Change 434872 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/434872

Mentioned in SAL (#wikimedia-operations) [2018-05-24T06:47:02Z] <marostegui> Deploy schema change on db1104 - T191519 T188299 T190148 T194270

Change 434875 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/434875

Change 434875 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/434875

Mentioned in SAL (#wikimedia-operations) [2018-05-24T07:36:27Z] <marostegui> Deploy schema change on db1109 - T191519 T188299 T190148 T194270

Mentioned in SAL (#wikimedia-operations) [2018-05-24T08:05:15Z] <marostegui> Deploy schema change on s8 primary master (db1071) - T191519 T188299 T190148 T194270

Marostegui updated the task description. (Show Details)May 24 2018, 8:42 AM

Mentioned in SAL (#wikimedia-operations) [2018-05-24T08:45:55Z] <marostegui> Deploy schema change on s1 codfw primary master (db2048), this will generate lag on codfw - T191519 T188299 T190148

Mentioned in SAL (#wikimedia-operations) [2018-05-24T11:10:12Z] <marostegui> Deploy schema change on dbstore1002:s1 - T191519 T188299 T190148

Marostegui updated the task description. (Show Details)EditedMay 24 2018, 11:11 AM

s1 eqiad progress

  • labsdb1009
  • labsdb1010
  • labsdb1011
  • db1095
  • dbstore1001
  • dbstore1002
  • db1116
  • db1080
  • db1083
  • db1089
  • db1119
  • db1067
  • db1106
  • db1099
  • db1114
  • db1105
  • db1052

Change 434899 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/434899

Change 434899 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/434899

Mentioned in SAL (#wikimedia-operations) [2018-05-24T11:19:07Z] <marostegui> Deploy schema change on db1080 - T191519 T188299 T190148

Marostegui updated the task description. (Show Details)May 24 2018, 1:22 PM

Change 434911 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1067

https://gerrit.wikimedia.org/r/434911

Change 434911 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1067

https://gerrit.wikimedia.org/r/434911

Mentioned in SAL (#wikimedia-operations) [2018-05-24T13:33:15Z] <marostegui> Deploy schema change on db1067 - T191519 T188299 T190148

Mentioned in SAL (#wikimedia-operations) [2018-05-24T14:57:39Z] <marostegui> Deploy schema change on dbstore1001:s1 - T191519 T188299 T190148

Change 434944 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3311

https://gerrit.wikimedia.org/r/434944

Change 434944 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3311

https://gerrit.wikimedia.org/r/434944

Mentioned in SAL (#wikimedia-operations) [2018-05-24T16:19:15Z] <marostegui> Deploy schema change on db1099:3311 - T191519 T188299 T190148

Change 435112 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1089

https://gerrit.wikimedia.org/r/435112

Change 435112 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1089

https://gerrit.wikimedia.org/r/435112

Mentioned in SAL (#wikimedia-operations) [2018-05-25T05:23:15Z] <marostegui> Deploy schema change on db1089 - T190148 T191519 T188299

Change 435120 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/435120

Change 435120 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/435120

Mentioned in SAL (#wikimedia-operations) [2018-05-25T06:57:14Z] <marostegui> Deploy schema change on db1114 - T190148 T191519 T188299

Change 435135 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1119

https://gerrit.wikimedia.org/r/435135

Change 435135 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1119

https://gerrit.wikimedia.org/r/435135

Change 435137 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3311

https://gerrit.wikimedia.org/r/435137

Change 435137 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3311

https://gerrit.wikimedia.org/r/435137

Mentioned in SAL (#wikimedia-operations) [2018-05-25T09:20:29Z] <marostegui> Deploy schema change on db1105:3311 - T190148 T191519 T188299

Change 435166 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1119

https://gerrit.wikimedia.org/r/435166

Change 435166 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1119

https://gerrit.wikimedia.org/r/435166

Change 435723 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/435723

Change 435723 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/435723

Mentioned in SAL (#wikimedia-operations) [2018-05-28T05:23:36Z] <marostegui> Deploy schema change on db1106 with replication, this will generate lag on labs - T190148 T191519 T188299

Change 435729 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/435729

Change 435729 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/435729

Mentioned in SAL (#wikimedia-operations) [2018-05-28T07:31:32Z] <marostegui> Deploy schema change on db1083 - T190148 T191519 T188299

Mentioned in SAL (#wikimedia-operations) [2018-05-28T09:04:11Z] <marostegui> Deploy schema change on s1 primary master (db1052) - T191519

Marostegui updated the task description. (Show Details)May 28 2018, 9:06 AM

This is all done

Marostegui closed this task as Resolved.May 28 2018, 9:07 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-23T08:07:54Z] <marostegui> Apply schema change  T191519 to labswiki and labstestwiki T200140